package serverP2P;
import java.io.File;
import serverP2P.ServerManagementUDP;

public class ServerP2P {
	private int port;
	private String directory;
	public ServerP2P() {
		port = 40000;
		String d;
		/* Follow XDG Base Directory Specification
		 * https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html
		 */
		if (System.getProperty("os.name").equals("Linux")) {
			d = System.getenv().get("XDG_DATA_HOME");
			if (d == null || d.equals("")) {
				d = System.getenv().get("HOME");
				if (d != null && (!d.equals(""))) {
					d += "/.local/share";
				} else {
					d += ".";
				}
			}
		} else {
			d = ".";
		}
		d += "P2P_JAVA_PROJECT_SERVER/";
		// create directory if not already exists
		new File(d).mkdirs();
	}
	public static void main(String [] args) {
		ServerP2P s = new ServerP2P();
		ServerManagementUDP sm = new ServerManagementUDP(s.directory, s.port);
		Thread t = new Thread(sm);
		t.setName("server P2P-JAVA-PROJECT");
		t.start();
	}

}
